Subject: Re: [RFC/PATCHv2] git-p4: handle files with shell metacharacters

From: Luke Diamand <[email-masked]>
Date: Tue, 27 Sep 2011 10:32:46 +0100

On 27/09/11 09:40, Luke Diamand wrote:
> Updated git-p4 changes incorporating Pete's comments.
>
>   - p4CmdList's stdin argument can now be a list.

- the only purpose of this is to avoid constructing large strings. I 
should probably submit as a separate patch.

>
>   - Getting rid of the string option entirely is very hard; there are
>     places where currently git-p4 creates a pipeline.
>
>   - I wonder if verbose should actually be enabled for all the test
>     cases?
>
>   - The $ENV{PWD} is needed now because the shell used to set that; now
>     that the shell isn't in use git-p4 has to set it.
>
> Pete - I wasn't sure whether you were saying I should rework
> my patch against next (and you would then rework your series) or
> something else. That sounds complicated though - let me know!
>
> Thanks!
> Luke
>
> Luke Diamand (1):
>    git-p4: handle files with shell metacharacters
>
>   contrib/fast-import/git-p4     |  200 ++++++++++++++++++++++++---------------
>   t/t9803-git-shell-metachars.sh |   70 ++++++++++++++
>   2 files changed, 193 insertions(+), 77 deletions(-)
>   create mode 100755 t/t9803-git-shell-metachars.sh
>